/**
 * 通过读取数据库自动生成错误码包。并发布它。
 * 生成器以递归的方式生成所有的码。
 * 注意删除父节点，意味着该父节点下所有内容全部状态为删除状态。
 * 所有的name，全局可视状态下不可重复。“删除”后，可以重复添加
 */
export declare enum ERROR_TYPE {
    CATEGORY = 0,
    ERROR = 1
}
export interface IErrorDto {
    /**
     * 一个自增的id，从1开始。无法修改
     */
    code: number;
    /**
     * 错误的名称，无法修改
     */
    name: string;
    /**
     * 简短的信息描述，可以修改
     */
    message: string;
    /**
     * 父级节点名称，无法修改
     */
    faterId: number;
    path?: string;
    /**
     * 是否为最终的错误。无法修改
     */
    type?: ERROR_TYPE;
    /**
     * 是否删除了，可以修改
     */
    isDelete?: boolean;
}
