/// <reference types="node" />
export declare class MongoFS {
    private dbName;
    private collectionName;
    constructor(dbName: string, collectionName: string);
    /**
     * 插入数据
     * 数据插入为json格式
     * 唯一值标识，建议使用对象的sha1
     * @param data
     */
    put(filter: object, data: object, extname?: string): void;
    get(filter: any): any;
    /**
     * 先计算文件的sha1，然后按后缀进行数据的存储
     * 是否针对数据的内容进行唯一值的校验
     * @filter为null意味着采用buffer的sha1值，以避免文件无限的创建
     * 为一个特定的值，则记录为其值
     */
    putFile(buffer: Buffer | string, extname: string, filter?: object): string;
}
