/// <reference types="node" />
import { ReadStream } from "fs";
export declare class LarkHash {
    /**
     * 获取buffer的sha1的路径
     * @param buffer
     */
    static getBufferSHA1Path(buffer: string | Buffer | NodeJS.TypedArray | DataView): string;
    /**
     * 获取buffer的sha1
     * @param buffer
     */
    static getBufferSHA1(buffer: string | Buffer | NodeJS.TypedArray | DataView): string;
    static getBufferMD5(buffer: string | Buffer | NodeJS.TypedArray | DataView): string;
    /**
     * 获取流数据的sha1
     * @param stream
     */
    static getStreamSHA1Path(stream: ReadStream): Promise<string>;
    /**
     * 获取流数据的Sha1格式
     * @param stream
     */
    static getStreamSHA1(stream: ReadStream): Promise<string>;
    /**
     * 获得SHA1的路径格式
     * @param sha1
     */
    static getSHA1Path(sha1: string): string;
}
